
## How to Install


```js

 $ npm install pm2-monitor

```

### Options

Pm2-monitor has several options, in order to change them access the config.js file
```js
server:{
    port:10021, //port that pm2 will be hosted
    host:'localhost' //if access is outside closed network, use real Ip Address

  },
  startup:{
    path:'./scripts/pm2_startup.json' //location and name for startup script
  },
  auth:
  {
    required:false, // true for basic http authentication,false for no authentication
    file:'./pm2_authfile' //do not change
  }

```

### Starting pm2-monit

To start the process, you need to have pm2 up and running. 
```js

$ sudo node pm2_monitor.js 
$ sudo node pm2_monitor.js user password //to create user

//note that pm2_monitor may be started within pm2 
// sudo pm2 start pm2_monitor.js

```

## License

MIT